org.eclipse.jetty.annotations

## Class AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

- java.lang.Object
- - org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

All Implemented Interfaces:
  AnnotationIntrospector.IntrospectableAnnotationHandler

Direct Known Subclasses:
  DeclareRolesAnnotationHandler, PostConstructAnnotationHandler, PreDestroyAnnotationHandler, ResourceAnnotationHandler, ResourcesAnnotationHandler, RunAsAnnotationHandler

Enclosing class:
  AnnotationIntrospector

    public abstract static class AnnotationIntrospector.AbstractIntrospectableAnnotationHandler
    extends Object
    implements AnnotationIntrospector.IntrospectableAnnotationHandler

AbstractIntrospectableAnnotationHandler Base class for handlers that introspect a class to find a particular annotation. A handler can optionally introspect the parent hierarchy of a class.

### Constructor Summary

Constructors
Constructor and Description
`AnnotationIntrospector.AbstractIntrospectableAnnotationHandler(boolean introspectAncestors)`

### Method Summary

Methods
`abstract void` `doHandle(Class<?> clazz)`
`void` `handle(Class<?> clazz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

    public AnnotationIntrospector.AbstractIntrospectableAnnotationHandler(boolean introspectAncestors)

### Method Detail

#### doHandle

    public abstract void doHandle(Class<?> clazz)

#### handle

    public void handle(Class<?> clazz)

Specified by:
  `handle` in interface `AnnotationIntrospector.IntrospectableAnnotationHandler`